<?php
// $Id: get_f1_results.inc,v 1.4 2007/04/16 21:41:14 ff1 Exp $

function get_f1_results($in) {
    if(($data = file_get_contents($in)) !== FALSE) {
        $html = new HtmlParser($data);

        unset($data);

        $in_tr = FALSE;
        $in_td = FALSE;
        $in_data = FALSE;

        $values = array();
        $results = array();

        while($html->parse()) {
            switch($html->iNodeType) {
                case NODE_TYPE_ELEMENT:
                    switch(strtolower($html->iNodeName)) {
                        case "tr":
                            $in_tr = TRUE;
                            break;
                        case "td":
                            $in_td = TRUE;
                            if(isset($html->iNodeAttributes["class"])) {
                                //if($html->iNodeAttributes["class"] == "tableDataHeader" or $html->iNodeAttributes["class"] == "tableData") {
                                if($html->iNodeAttributes["class"] == "tableData") {
                                    $in_data = TRUE;
                                }
                            }
                            break;
                    }
                    break;
                case NODE_TYPE_ENDELEMENT:
                    switch(strtolower($html->iNodeName)) {
                        case "tr":
                            if($in_tr and $in_data) {
                                $results[] = $values;
                                $values = array();
                                $in_data = FALSE;
                            }
                            $in_tr = FALSE;
                            break;
                        case "td":
                            $in_td = FALSE;
                            break;
                    }
                    break;
                case NODE_TYPE_TEXT:
                    if($in_td and $in_data) {
                        $values[] = trim($html->iNodeValue);
                    }
                    break;
            }
        }

        unset($html);

        // var_dump($results);

        if(sizeof($results) > 0) {
            return $results;
        } else {
            return FALSE;
        }
    } else {
        return FALSE;
    }

    return FALSE;
}

?>